Subject: Re: bug#9867: 24.0.90; quit-window should provide quit-window-hook

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Aug 2019 17:25:20 +0300

> From: martin rudalics <[email-masked]>
> Date: Tue, 20 Aug 2019 10:19:29 +0200
> Cc: [email-masked]
> 
> If people really need such a hook at all, please
> 
> - Make it either an abnormal hook run with the window quit as argument
>    or run it from 'quit-window' but then only if it quits the selected
>    window.
> 
> - Make sure to call any buffer-local value of that hook for the buffer
>    of the window that is quit.
> 
> - Prefix it with 'quit-restore-' if you intend to run it from
>    'quit-restore-window' (that function may be called by other
>    functions as well).
> 
> - Fix the reference to the non-existent function 'quit-buffer'.

And also:

  - Add the new hook to the list in the node "Standard Hooks" in the
    ELisp manual.

Thanks.